Bug 187209 - [maintainer update] textproc/ibus: update to 1.5.5
[maintainer update] textproc/ibus: update to 1.5.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Frederic Culot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-02 21:40 UTC by Henry Hu
Modified: 2014-03-11 07:40 UTC (History)
0 users

See Also:


Attachments
file.diff (29.43 KB, patch)
2014-03-02 21:40 UTC, Henry Hu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2014-03-02 21:40:00 UTC
Update textproc/ibus from 1.4.2 to 1.5.5.

The new version of ibus requires
   ports/186616: [patch] devel/dconf: load profile and db from correct dir
to be committed, or the corresponding problem to be fixed, to work correctly.

ibus 1.5.5
* replace GTK2 UI with GTK3 UI
* python library now is optional
* supports dconf configuration backend (required by GTK3 UI)
* remove XDG autostart desktop file

This port
* provide a patch to workaround some bugs in old XORG(not required in NEW_XORG)
* install a custom XDG autostart desktop file

Fix: Patch attached with submission follows:
Comment 1 Henry Hu 2014-03-02 21:41:36 UTC
Redports build result:
https://redports.org/buildarchive/20140212045701-47321/

-- 
Cheers,
Henry
Comment 2 Frederic Culot freebsd_committer 2014-03-03 20:46:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 3 dfilter freebsd_committer 2014-03-11 07:36:29 UTC
Author: culot
Date: Tue Mar 11 07:36:19 2014
New Revision: 347866
URL: http://svnweb.freebsd.org/changeset/ports/347866
QAT: https://qat.redports.org/buildarchive/r347866/

Log:
  - Update to 1.5.5 [1]
  - Pet portlint(1) by changing spaces into tabs in Makefile
  
  PR:		ports/187209 [1]
  Submitted by:	Henry Hu <henry.hu.sh@gmail.com> (maintainer)

Deleted:
  head/textproc/ibus/files/patch-ibus-common.py
Modified:
  head/textproc/ibus/Makefile
  head/textproc/ibus/distinfo
  head/textproc/ibus/pkg-plist

Modified: head/textproc/ibus/Makefile
==============================================================================
--- head/textproc/ibus/Makefile	Tue Mar 11 07:16:16 2014	(r347865)
+++ head/textproc/ibus/Makefile	Tue Mar 11 07:36:19 2014	(r347866)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ibus
-PORTVERSION=	1.4.2
+PORTVERSION=	1.5.5
 CATEGORIES=	textproc
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 
@@ -17,28 +17,44 @@ BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}db
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}dbus>=0.83.0:${PORTSDIR}/devel/py-dbus \
 		${PYTHON_SITELIBDIR}/gtk-2.0/pynotify/__init__.py:${PORTSDIR}/devel/py-notify \
 		${PYTHON_SITELIBDIR}/xdg/__init__.py:${PORTSDIR}/devel/py-xdg \
-		librsvg2>=2.0:${PORTSDIR}/graphics/librsvg2
+		librsvg2>=2.0:${PORTSDIR}/graphics/librsvg2 \
+		setxkbmap:${PORTSDIR}/x11/setxkbmap
 LIB_DEPENDS=	libdbus-glib-1.so:${PORTSDIR}/devel/dbus-glib
 
+USE_GNOME=	pygobject3
 USE_PYTHON=	yes
-USE_GNOME=	pygtk2 gconf2
 
 USE_LDCONFIG=	yes
-USES=		gmake pkgconfig
+USES=		gmake pkgconfig compiler
 GNU_CONFIGURE=	yes
 INSTALLS_ICONS=	yes
-GCONF_SCHEMAS=	ibus.schemas
+CONFIGURE_ARGS+=	--disable-tests
 
-OPTIONS_DEFINE=	ISOCODES NLS GTK3 VALA GINTRO
-OPTIONS_DEFAULT=	ISOCODES GTK3 VALA GINTRO
+OPTIONS_DEFINE=	ISOCODES NLS GTK2 GTK3 VALA GINTRO PYTHON_LIB DOC XIM ENGINE
+OPTIONS_RADIO=	CONFIG
+OPTIONS_RADIO_CONFIG=	GCONF DCONF
+OPTIONS_DEFAULT=	ISOCODES NLS GTK2 GTK3 VALA GINTRO PYTHON_LIB DCONF XIM ENGINE
 
 ISOCODES_DESC=	Use isocodecs
-GTK3_DESC=	Install GTK3 client
+GTK2_DESC=	Install GTK2 client
+GTK3_DESC=	Install GTK3 client and panel
 VALA_DESC=	Install vala binding
 GINTRO_DESC=	Install GObject Introspection data
+PYTHON_LIB_DESC=	Install ibus Python libraries
+GCONF_DESC=	Use GConf for configuration
+DCONF_DESC=	Use dconf for configuration
+DOC_DESC=	Install HTML documents
+XIM_DESC=	Install XIM server
+ENGINE_DESC=	Install ibus simple engine
 
 .include <bsd.port.options.mk>
 
+.include <bsd.port.pre.mk>
+
+.if ${COMPILER_TYPE} == gcc && ${COMPILER_VERSION} < 46
+USE_GCC=	yes
+.endif
+
 .if ${PORT_OPTIONS:MISOCODES}
 BUILD_DEPENDS+=	${LOCALBASE}/libdata/pkgconfig/iso-codes.pc:${PORTSDIR}/misc/iso-codes
 RUN_DEPENDS+=	${LOCALBASE}/share/xml/iso-codes/iso_639.xml:${PORTSDIR}/misc/iso-codes
@@ -54,16 +70,29 @@ CONFIGURE_ARGS+=	--disable-nls
 PLIST_SUB+=	NLS="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MGTK2}
+CONFIGURE_ARGS+=	--enable-gtk2
+USE_GNOME+=	gtk20
+PLIST_SUB+=	GTK2=""
+.else
+CONFIGURE_ARGS+=	--disable-gtk2
+PLIST_SUB+=	GTK2="@comment "
+.endif
+
 .if ${PORT_OPTIONS:MGTK3}
+# libnotify is used by the GTK3 UI module
+CONFIGURE_ARGS+=	--enable-gtk3 --enable-libnotify
 USE_GNOME+=	gtk30
+LIB_DEPENDS+=	libnotify.so:${PORTSDIR}/devel/libnotify
 PLIST_SUB+=	GTK3=""
 .else
-CONFIGURE_ARGS+=	--disable-gtk3
+CONFIGURE_ARGS+=	--disable-gtk3 --disable-libnotify
 PLIST_SUB+=	GTK3="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MVALA}
 CONFIGURE_ARGS+=	--enable-vala
+BUILD_DEPENDS+=	vala-vapigen>=0.16:${PORTSDIR}/lang/vala-vapigen
 PLIST_SUB+=	VALA=""
 .else
 CONFIGURE_ARGS+=	--disable-vala
@@ -80,17 +109,77 @@ CONFIGURE_ARGS+=	--enable-introspection=
 PLIST_SUB+=		GINTRO="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MPYTHON_LIB}
+CONFIGURE_ARGS+=	--enable-python-library
+PLIST_SUB+=		PYTHON_LIB=""
+USE_GNOME+=	pygtk2
+.else
+CONFIGURE_ARGS+=	--disable-python-library
+PLIST_SUB+=		PYTHON_LIB="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MGCONF}
+CONFIGURE_ARGS+=	--enable-gconf
+PLIST_SUB+=		GCONF=""
+GCONF_SCHEMAS=	ibus.schemas
+USE_GNOME+=		gconf2
+.else
+CONFIGURE_ARGS+=	--disable-gconf
+PLIST_SUB+=		GCONF="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MDCONF}
+CONFIGURE_ARGS+=	--enable-dconf
+PLIST_SUB+=		DCONF=""
+GLIB_SCHEMAS=	org.freedesktop.ibus.gschema.xml
+# gconf2 required for gsettings-schema-convert
+USE_GNOME+=		dconf gconf2
+.else
+CONFIGURE_ARGS+=	--disable-dconf
+PLIST_SUB+=		DCONF="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MDOC}
+CONFIGURE_ARGS+=	--enable-gtk-doc-html
+PLIST_SUB+=		DOC=""
+.else
+CONFIGURE_ARGS+=	--disable-gtk-doc-html
+PLIST_SUB+=		DOC="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MXIM}
+CONFIGURE_ARGS+=	--enable-xim
+PLIST_SUB+=		XIM=""
+.else
+CONFIGURE_ARGS+=	--disable-xim
+PLIST_SUB+=		XIM="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MENGINE}
+CONFIGURE_ARGS+=	--enable-engine
+PLIST_SUB+=		ENGINE=""
+.else
+CONFIGURE_ARGS+=	--disable-engine
+PLIST_SUB+=		ENGINE="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MENGINE} || ${PORT_OPTIONS:MGTK3} || ${PORT_OPTIONS:MGCONF} || ${PORT_OPTIONS:MDCONF}
+PLIST_SUB+=	COMPDIR=""
+.else
+PLIST_SUB+=	COMPDIR="@comment "
+.endif
+
+# Workaround XIGrabKeycode/XIUngrabKeycode bug: XIAllMasterDevice does not work
+.if !defined(WITH_NEW_XORG)
+EXTRA_PATCHES+=	${FILESDIR}/extra-xigrabkeycode
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|' ${WRKSRC}/Makefile.in
-	@${REINPLACE_CMD} -e 's|/usr/share/xml/iso-codes/|${LOCALBASE}/share/xml/iso-codes/|g' ${WRKSRC}/ibus/lang.py
-	@${REINPLACE_CMD} -e 's|locale.bind_textdomain_codeset|gettext.bind_textdomain_codeset|g' ${WRKSRC}/setup/main.py
-	@${REINPLACE_CMD} -e 's|locale.bind_textdomain_codeset|gettext.bind_textdomain_codeset|g' ${WRKSRC}/ui/gtk/main.py
-	@${REINPLACE_CMD} -e 's|import locale|import gettext|g' ${WRKSRC}/ui/gtk/main.py
-	@${REINPLACE_CMD} -e 's|setpgrp ()|setpgrp (0,0)|g' ${WRKSRC}/bus/main.c
-	@${REINPLACE_CMD} -e 's|/var/lib/dbus|/var/db/dbus|g' ${WRKSRC}/src/ibusshare.c #devel/dbus/files/dbus.in
+	@${REINPLACE_CMD} -e 's|/var/lib/dbus|/var/db/dbus|g' ${WRKSRC}/src/ibusshare.c
 
 post-install:
 	@${MKDIR} ${STAGEDIR}${PREFIX}/etc/xdg/autostart
-	@${INSTALL_DATA} ${WRKSRC}/bus/ibus.desktop ${STAGEDIR}${PREFIX}/etc/xdg/autostart
+	@${INSTALL_DATA} ${PATCHDIR}/ibus.desktop ${STAGEDIR}${PREFIX}/etc/xdg/autostart
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/textproc/ibus/distinfo
==============================================================================
--- head/textproc/ibus/distinfo	Tue Mar 11 07:16:16 2014	(r347865)
+++ head/textproc/ibus/distinfo	Tue Mar 11 07:36:19 2014	(r347866)
@@ -1,2 +1,2 @@
-SHA256 (ibus-1.4.2.tar.gz) = 2418d9960d177c0ce7d3dc5ef8ab75cfc00e30f5e2c730b7d82f4f22666a04d7
-SIZE (ibus-1.4.2.tar.gz) = 1489482
+SHA256 (ibus-1.5.5.tar.gz) = 02ab36af6048399fedbe8d85074b161219b89df5020932df33cf8829764f8aec
+SIZE (ibus-1.5.5.tar.gz) = 2063794

Modified: head/textproc/ibus/pkg-plist
==============================================================================
--- head/textproc/ibus/pkg-plist	Tue Mar 11 07:16:16 2014	(r347865)
+++ head/textproc/ibus/pkg-plist	Tue Mar 11 07:36:19 2014	(r347866)
@@ -1,6 +1,11 @@
 bin/ibus-daemon
 bin/ibus-setup
+bin/ibus
 etc/xdg/autostart/ibus.desktop
+%%DCONF%%etc/dconf/db/ibus.d/00-upstream-settings
+%%DCONF%%@unexec rm -f %D/etc/dconf/db/ibus
+%%DCONF%%@exec dconf update
+%%DCONF%%etc/dconf/profile/ibus
 include/ibus-1.0/ibus.h
 include/ibus-1.0/ibusattribute.h
 include/ibus-1.0/ibusattrlist.h
@@ -26,6 +31,7 @@ include/ibus-1.0/ibuspanelservice.h
 include/ibus-1.0/ibusproperty.h
 include/ibus-1.0/ibusproplist.h
 include/ibus-1.0/ibusproxy.h
+include/ibus-1.0/ibusregistry.h
 include/ibus-1.0/ibusserializable.h
 include/ibus-1.0/ibusservice.h
 include/ibus-1.0/ibusshare.h
@@ -34,171 +40,190 @@ include/ibus-1.0/ibustypes.h
 include/ibus-1.0/ibusutil.h
 include/ibus-1.0/ibusversion.h
 include/ibus-1.0/ibusxml.h
-lib/gtk-2.0/2.10.0/immodules/im-ibus.la
-lib/gtk-2.0/2.10.0/immodules/im-ibus.so
+include/ibus-1.0/ibuskeysyms-compat.h
+include/ibus-1.0/ibusenginesimple.h
+%%GTK2%%lib/gtk-2.0/2.10.0/immodules/im-ibus.la
+%%GTK2%%lib/gtk-2.0/2.10.0/immodules/im-ibus.so
 %%GINTRO%%lib/girepository-1.0/IBus-1.0.typelib
 %%GINTRO%%share/gir-1.0/IBus-1.0.gir
+%%GINTRO%%%%PYTHON_SITELIBDIR%%/gi/overrides/IBus.py
+%%GINTRO%%%%PYTHON_SITELIBDIR%%/gi/overrides/IBus.pyc
+%%GINTRO%%%%PYTHON_SITELIBDIR%%/gi/overrides/IBus.pyo
 %%GTK3%%lib/gtk-3.0/3.0.0/immodules/im-ibus.la
 %%GTK3%%lib/gtk-3.0/3.0.0/immodules/im-ibus.so
 lib/libibus-1.0.la
 lib/libibus-1.0.so
-lib/libibus-1.0.so.402
-%%PYTHON_SITELIBDIR%%/ibus/__init__.py
-%%PYTHON_SITELIBDIR%%/ibus/__init__.pyc
-%%PYTHON_SITELIBDIR%%/ibus/__init__.pyo
-%%PYTHON_SITELIBDIR%%/ibus/_config.py
-%%PYTHON_SITELIBDIR%%/ibus/_config.pyc
-%%PYTHON_SITELIBDIR%%/ibus/_config.pyo
-%%PYTHON_SITELIBDIR%%/ibus/_gtk.py
-%%PYTHON_SITELIBDIR%%/ibus/_gtk.pyc
-%%PYTHON_SITELIBDIR%%/ibus/_gtk.pyo
-%%PYTHON_SITELIBDIR%%/ibus/application.py
-%%PYTHON_SITELIBDIR%%/ibus/application.pyc
-%%PYTHON_SITELIBDIR%%/ibus/application.pyo
-%%PYTHON_SITELIBDIR%%/ibus/ascii.py
-%%PYTHON_SITELIBDIR%%/ibus/ascii.pyc
-%%PYTHON_SITELIBDIR%%/ibus/ascii.pyo
-%%PYTHON_SITELIBDIR%%/ibus/attribute.py
-%%PYTHON_SITELIBDIR%%/ibus/attribute.pyc
-%%PYTHON_SITELIBDIR%%/ibus/attribute.pyo
-%%PYTHON_SITELIBDIR%%/ibus/bus.py
-%%PYTHON_SITELIBDIR%%/ibus/bus.pyc
-%%PYTHON_SITELIBDIR%%/ibus/bus.pyo
-%%PYTHON_SITELIBDIR%%/ibus/common.py
-%%PYTHON_SITELIBDIR%%/ibus/common.pyc
-%%PYTHON_SITELIBDIR%%/ibus/common.pyo
-%%PYTHON_SITELIBDIR%%/ibus/component.py
-%%PYTHON_SITELIBDIR%%/ibus/component.pyc
-%%PYTHON_SITELIBDIR%%/ibus/component.pyo
-%%PYTHON_SITELIBDIR%%/ibus/config.py
-%%PYTHON_SITELIBDIR%%/ibus/config.pyc
-%%PYTHON_SITELIBDIR%%/ibus/config.pyo
-%%PYTHON_SITELIBDIR%%/ibus/engine.py
-%%PYTHON_SITELIBDIR%%/ibus/engine.pyc
-%%PYTHON_SITELIBDIR%%/ibus/engine.pyo
-%%PYTHON_SITELIBDIR%%/ibus/enginedesc.py
-%%PYTHON_SITELIBDIR%%/ibus/enginedesc.pyc
-%%PYTHON_SITELIBDIR%%/ibus/enginedesc.pyo
-%%PYTHON_SITELIBDIR%%/ibus/exception.py
-%%PYTHON_SITELIBDIR%%/ibus/exception.pyc
-%%PYTHON_SITELIBDIR%%/ibus/exception.pyo
-%%PYTHON_SITELIBDIR%%/ibus/factory.py
-%%PYTHON_SITELIBDIR%%/ibus/factory.pyc
-%%PYTHON_SITELIBDIR%%/ibus/factory.pyo
-%%PYTHON_SITELIBDIR%%/ibus/inputcontext.py
-%%PYTHON_SITELIBDIR%%/ibus/inputcontext.pyc
-%%PYTHON_SITELIBDIR%%/ibus/inputcontext.pyo
-%%PYTHON_SITELIBDIR%%/ibus/interface/__init__.py
-%%PYTHON_SITELIBDIR%%/ibus/interface/__init__.pyc
-%%PYTHON_SITELIBDIR%%/ibus/interface/__init__.pyo
-%%PYTHON_SITELIBDIR%%/ibus/interface/iconfig.py
-%%PYTHON_SITELIBDIR%%/ibus/interface/iconfig.pyc
-%%PYTHON_SITELIBDIR%%/ibus/interface/iconfig.pyo
-%%PYTHON_SITELIBDIR%%/ibus/interface/iengine.py
-%%PYTHON_SITELIBDIR%%/ibus/interface/iengine.pyc
-%%PYTHON_SITELIBDIR%%/ibus/interface/iengine.pyo
-%%PYTHON_SITELIBDIR%%/ibus/interface/ienginefactory.py
-%%PYTHON_SITELIBDIR%%/ibus/interface/ienginefactory.pyc
-%%PYTHON_SITELIBDIR%%/ibus/interface/ienginefactory.pyo
-%%PYTHON_SITELIBDIR%%/ibus/interface/iibus.py
-%%PYTHON_SITELIBDIR%%/ibus/interface/iibus.pyc
-%%PYTHON_SITELIBDIR%%/ibus/interface/iibus.pyo
-%%PYTHON_SITELIBDIR%%/ibus/interface/iinputcontext.py
-%%PYTHON_SITELIBDIR%%/ibus/interface/iinputcontext.pyc
-%%PYTHON_SITELIBDIR%%/ibus/interface/iinputcontext.pyo
-%%PYTHON_SITELIBDIR%%/ibus/interface/inotifications.py
-%%PYTHON_SITELIBDIR%%/ibus/interface/inotifications.pyc
-%%PYTHON_SITELIBDIR%%/ibus/interface/inotifications.pyo
-%%PYTHON_SITELIBDIR%%/ibus/interface/ipanel.py
-%%PYTHON_SITELIBDIR%%/ibus/interface/ipanel.pyc
-%%PYTHON_SITELIBDIR%%/ibus/interface/ipanel.pyo
-%%PYTHON_SITELIBDIR%%/ibus/keysyms.py
-%%PYTHON_SITELIBDIR%%/ibus/keysyms.pyc
-%%PYTHON_SITELIBDIR%%/ibus/keysyms.pyo
-%%PYTHON_SITELIBDIR%%/ibus/lang.py
-%%PYTHON_SITELIBDIR%%/ibus/lang.pyc
-%%PYTHON_SITELIBDIR%%/ibus/lang.pyo
-%%PYTHON_SITELIBDIR%%/ibus/lookuptable.py
-%%PYTHON_SITELIBDIR%%/ibus/lookuptable.pyc
-%%PYTHON_SITELIBDIR%%/ibus/lookuptable.pyo
-%%PYTHON_SITELIBDIR%%/ibus/modifier.py
-%%PYTHON_SITELIBDIR%%/ibus/modifier.pyc
-%%PYTHON_SITELIBDIR%%/ibus/modifier.pyo
-%%PYTHON_SITELIBDIR%%/ibus/notifications.py
-%%PYTHON_SITELIBDIR%%/ibus/notifications.pyc
-%%PYTHON_SITELIBDIR%%/ibus/notifications.pyo
-%%PYTHON_SITELIBDIR%%/ibus/object.py
-%%PYTHON_SITELIBDIR%%/ibus/object.pyc
-%%PYTHON_SITELIBDIR%%/ibus/object.pyo
-%%PYTHON_SITELIBDIR%%/ibus/observedpath.py
-%%PYTHON_SITELIBDIR%%/ibus/observedpath.pyc
-%%PYTHON_SITELIBDIR%%/ibus/observedpath.pyo
-%%PYTHON_SITELIBDIR%%/ibus/panel.py
-%%PYTHON_SITELIBDIR%%/ibus/panel.pyc
-%%PYTHON_SITELIBDIR%%/ibus/panel.pyo
-%%PYTHON_SITELIBDIR%%/ibus/property.py
-%%PYTHON_SITELIBDIR%%/ibus/property.pyc
-%%PYTHON_SITELIBDIR%%/ibus/property.pyo
-%%PYTHON_SITELIBDIR%%/ibus/serializable.py
-%%PYTHON_SITELIBDIR%%/ibus/serializable.pyc
-%%PYTHON_SITELIBDIR%%/ibus/serializable.pyo
-%%PYTHON_SITELIBDIR%%/ibus/text.py
-%%PYTHON_SITELIBDIR%%/ibus/text.pyc
-%%PYTHON_SITELIBDIR%%/ibus/text.pyo
-%%PYTHON_SITELIBDIR%%/ibus/utility.py
-%%PYTHON_SITELIBDIR%%/ibus/utility.pyc
-%%PYTHON_SITELIBDIR%%/ibus/utility.pyo
+lib/libibus-1.0.so.5
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/__init__.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/__init__.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/__init__.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/_config.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/_config.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/_config.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/_gtk.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/_gtk.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/_gtk.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/application.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/application.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/application.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/ascii.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/ascii.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/ascii.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/attribute.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/attribute.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/attribute.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/bus.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/bus.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/bus.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/common.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/common.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/common.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/component.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/component.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/component.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/config.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/config.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/config.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/engine.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/engine.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/engine.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/enginedesc.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/enginedesc.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/enginedesc.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/exception.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/exception.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/exception.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/factory.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/factory.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/factory.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/inputcontext.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/inputcontext.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/inputcontext.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/__init__.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/__init__.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/__init__.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iconfig.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iconfig.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iconfig.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iengine.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iengine.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iengine.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/ienginefactory.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/ienginefactory.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/ienginefactory.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iibus.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iibus.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iibus.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iinputcontext.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iinputcontext.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/iinputcontext.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/inotifications.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/inotifications.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/inotifications.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/ipanel.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/ipanel.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/interface/ipanel.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/keysyms.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/keysyms.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/keysyms.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/lang.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/lang.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/lang.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/lookuptable.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/lookuptable.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/lookuptable.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/modifier.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/modifier.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/modifier.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/notifications.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/notifications.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/notifications.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/object.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/object.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/object.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/observedpath.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/observedpath.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/observedpath.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/panel.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/panel.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/panel.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/property.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/property.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/property.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/serializable.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/serializable.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/serializable.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/text.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/text.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/text.pyo
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/utility.py
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/utility.pyc
+%%PYTHON_LIB%%%%PYTHON_SITELIBDIR%%/ibus/utility.pyo
 libdata/pkgconfig/ibus-1.0.pc
-libexec/ibus-gconf
-libexec/ibus-ui-gtk
-libexec/ibus-x11
+%%GTK3%%libexec/ibus-ui-gtk3
+%%XIM%%libexec/ibus-x11
+%%GCONF%%libexec/ibus-gconf
+%%DCONF%%libexec/ibus-dconf
+%%ENGINE%%libexec/ibus-engine-simple
 share/applications/ibus-setup.desktop
-share/applications/ibus.desktop
-share/gtk-doc/html/ibus/IBusAttrList.html
-share/gtk-doc/html/ibus/IBusAttribute.html
-share/gtk-doc/html/ibus/IBusBus.html
-share/gtk-doc/html/ibus/IBusComponent.html
-share/gtk-doc/html/ibus/IBusConfig.html
-share/gtk-doc/html/ibus/IBusConfigService.html
-share/gtk-doc/html/ibus/IBusEngine.html
-share/gtk-doc/html/ibus/IBusEngineDesc.html
-share/gtk-doc/html/ibus/IBusFactory.html
-share/gtk-doc/html/ibus/IBusHotkeyProfile.html
-share/gtk-doc/html/ibus/IBusInputContext.html
-share/gtk-doc/html/ibus/IBusKeymap.html
-share/gtk-doc/html/ibus/IBusLookupTable.html
-share/gtk-doc/html/ibus/IBusObject.html
-share/gtk-doc/html/ibus/IBusObservedPath.html
-share/gtk-doc/html/ibus/IBusPanelService.html
-share/gtk-doc/html/ibus/IBusPropList.html
-share/gtk-doc/html/ibus/IBusProperty.html
-share/gtk-doc/html/ibus/IBusProxy.html
-share/gtk-doc/html/ibus/IBusSerializable.html
-share/gtk-doc/html/ibus/IBusService.html
-share/gtk-doc/html/ibus/IBusText.html
-share/gtk-doc/html/ibus/ch01.html
-share/gtk-doc/html/ibus/ch02.html
-share/gtk-doc/html/ibus/ch03.html
-share/gtk-doc/html/ibus/ch04.html
-share/gtk-doc/html/ibus/ch05.html
-share/gtk-doc/html/ibus/ch06.html
-share/gtk-doc/html/ibus/home.png
-share/gtk-doc/html/ibus/ibus-IBusKeysyms.html
-share/gtk-doc/html/ibus/ibus-ibusdebug.html
-share/gtk-doc/html/ibus/ibus-ibuserror.html
-share/gtk-doc/html/ibus/ibus-ibusshare.html
-share/gtk-doc/html/ibus/ibus-ibustypes.html
-share/gtk-doc/html/ibus/ibus-ibusversion.html
-share/gtk-doc/html/ibus/ibus-ibusxml.html
-share/gtk-doc/html/ibus/ibus.devhelp2
-share/gtk-doc/html/ibus/index.html
-share/gtk-doc/html/ibus/index.sgml
-share/gtk-doc/html/ibus/left.png
-share/gtk-doc/html/ibus/right.png
-share/gtk-doc/html/ibus/style.css
-share/gtk-doc/html/ibus/up.png
-%%DATADIR%%/component/gconf.xml
-%%DATADIR%%/component/gtkpanel.xml
+%%DOC%%share/gtk-doc/html/ibus/IBusAttrList.html
+%%DOC%%share/gtk-doc/html/ibus/IBusAttribute.html
+%%DOC%%share/gtk-doc/html/ibus/IBusBus.html
+%%DOC%%share/gtk-doc/html/ibus/IBusComponent.html
+%%DOC%%share/gtk-doc/html/ibus/IBusConfig.html
+%%DOC%%share/gtk-doc/html/ibus/IBusConfigService.html
+%%DOC%%share/gtk-doc/html/ibus/IBusEngine.html
+%%DOC%%share/gtk-doc/html/ibus/IBusEngineDesc.html
+%%DOC%%share/gtk-doc/html/ibus/IBusFactory.html
+%%DOC%%share/gtk-doc/html/ibus/IBusHotkeyProfile.html
+%%DOC%%share/gtk-doc/html/ibus/IBusInputContext.html
+%%DOC%%share/gtk-doc/html/ibus/IBusKeymap.html
+%%DOC%%share/gtk-doc/html/ibus/IBusLookupTable.html
+%%DOC%%share/gtk-doc/html/ibus/IBusObject.html
+%%DOC%%share/gtk-doc/html/ibus/IBusObservedPath.html
+%%DOC%%share/gtk-doc/html/ibus/IBusPanelService.html
+%%DOC%%share/gtk-doc/html/ibus/IBusPropList.html
+%%DOC%%share/gtk-doc/html/ibus/IBusProperty.html
+%%DOC%%share/gtk-doc/html/ibus/IBusProxy.html
+%%DOC%%share/gtk-doc/html/ibus/IBusRegistry.html
+%%DOC%%share/gtk-doc/html/ibus/IBusSerializable.html
+%%DOC%%share/gtk-doc/html/ibus/IBusService.html
+%%DOC%%share/gtk-doc/html/ibus/IBusText.html
+%%DOC%%share/gtk-doc/html/ibus/ch01.html
+%%DOC%%share/gtk-doc/html/ibus/ch02.html
+%%DOC%%share/gtk-doc/html/ibus/ch03.html
+%%DOC%%share/gtk-doc/html/ibus/ch04.html
+%%DOC%%share/gtk-doc/html/ibus/ch05.html
+%%DOC%%share/gtk-doc/html/ibus/ch06.html
+%%DOC%%share/gtk-doc/html/ibus/home.png
+%%DOC%%share/gtk-doc/html/ibus/ibus-IBusKeysyms.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibusdebug.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibuserror.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibusshare.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibustypes.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibusversion.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibusxml.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-IBusEngineSimple.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibuskeys.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibuskeysyms-compat.html
+%%DOC%%share/gtk-doc/html/ibus/ibus-ibusutil.html
+%%DOC%%share/gtk-doc/html/ibus/annotation-glossary.html
+%%DOC%%share/gtk-doc/html/ibus/api-index-deprecated.html
+%%DOC%%share/gtk-doc/html/ibus/api-index-full.html
+%%DOC%%share/gtk-doc/html/ibus/ibus.devhelp2
+%%DOC%%share/gtk-doc/html/ibus/index.html
+%%DOC%%share/gtk-doc/html/ibus/index.sgml
+%%DOC%%share/gtk-doc/html/ibus/left.png
+%%DOC%%share/gtk-doc/html/ibus/right.png
+%%DOC%%share/gtk-doc/html/ibus/style.css
+%%DOC%%share/gtk-doc/html/ibus/up.png
+man/man1/ibus-daemon.1.gz
+man/man1/ibus-setup.1.gz
+man/man1/ibus.1.gz
+%%GTK3%%%%DATADIR%%/component/gtkpanel.xml
+%%GCONF%%%%DATADIR%%/component/gconf.xml
+%%DCONF%%%%DATADIR%%/component/dconf.xml
+%%ENGINE%%%%DATADIR%%/component/simple.xml
 %%DATADIR%%/keymaps/common
 %%DATADIR%%/keymaps/in
 %%DATADIR%%/keymaps/jp
@@ -227,42 +252,6 @@ share/gtk-doc/html/ibus/up.png
 %%DATADIR%%/setup/main.pyc
 %%DATADIR%%/setup/main.pyo
 %%DATADIR%%/setup/setup.ui
-%%DATADIR%%/ui/gtk/candidatepanel.py
-%%DATADIR%%/ui/gtk/candidatepanel.pyc
-%%DATADIR%%/ui/gtk/candidatepanel.pyo
-%%DATADIR%%/ui/gtk/engineabout.py
-%%DATADIR%%/ui/gtk/engineabout.pyc
-%%DATADIR%%/ui/gtk/engineabout.pyo
-%%DATADIR%%/ui/gtk/handle.py
-%%DATADIR%%/ui/gtk/handle.pyc
-%%DATADIR%%/ui/gtk/handle.pyo
-%%DATADIR%%/ui/gtk/i18n.py
-%%DATADIR%%/ui/gtk/i18n.pyc
-%%DATADIR%%/ui/gtk/i18n.pyo
-%%DATADIR%%/ui/gtk/icon.py
-%%DATADIR%%/ui/gtk/icon.pyc
-%%DATADIR%%/ui/gtk/icon.pyo
-%%DATADIR%%/ui/gtk/languagebar.py
-%%DATADIR%%/ui/gtk/languagebar.pyc
-%%DATADIR%%/ui/gtk/languagebar.pyo
-%%DATADIR%%/ui/gtk/main.py
-%%DATADIR%%/ui/gtk/main.pyc
-%%DATADIR%%/ui/gtk/main.pyo
-%%DATADIR%%/ui/gtk/menu.py
-%%DATADIR%%/ui/gtk/menu.pyc
-%%DATADIR%%/ui/gtk/menu.pyo
-%%DATADIR%%/ui/gtk/notifications.py
-%%DATADIR%%/ui/gtk/notifications.pyc
-%%DATADIR%%/ui/gtk/notifications.pyo
-%%DATADIR%%/ui/gtk/panel.py
-%%DATADIR%%/ui/gtk/panel.pyc
-%%DATADIR%%/ui/gtk/panel.pyo
-%%DATADIR%%/ui/gtk/propitem.py
-%%DATADIR%%/ui/gtk/propitem.pyc
-%%DATADIR%%/ui/gtk/propitem.pyo
-%%DATADIR%%/ui/gtk/toolitem.py
-%%DATADIR%%/ui/gtk/toolitem.pyc
-%%DATADIR%%/ui/gtk/toolitem.pyo
 share/icons/hicolor/16x16/apps/ibus-keyboard.png
 share/icons/hicolor/22x22/apps/ibus-keyboard.png
 share/icons/hicolor/24x24/apps/ibus-keyboard.png
@@ -274,17 +263,22 @@ share/icons/hicolor/scalable/apps/ibus-s
 share/icons/hicolor/scalable/apps/ibus.svg
 %%NLS%%share/locale/ar/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/as/LC_MESSAGES/ibus10.mo
+%%NLS%%share/locale/bn/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/bn_IN/LC_MESSAGES/ibus10.mo
+%%NLS%%share/locale/bg/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/da/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/de/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/es/LC_MESSAGES/ibus10.mo
+%%NLS%%share/locale/et/LC_MESSAGES/ibus10.mo
+%%NLS%%share/locale/eu/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/fa/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/gu/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/hi/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/ibus10.mo
+%%NLS%%share/locale/ia/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/it/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/kn/LC_MESSAGES/ibus10.mo
@@ -293,6 +287,7 @@ share/icons/hicolor/scalable/apps/ibus.s
 %%NLS%%share/locale/ml/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/mr/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/ibus10.mo
+%%NLS%%share/locale/nb/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/or/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/pa/LC_MESSAGES/ibus10.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/ibus10.mo
@@ -310,24 +305,24 @@ share/icons/hicolor/scalable/apps/ibus.s
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/ibus10.mo
 %%VALA%%share/vala/vapi/ibus-1.0.deps
 %%VALA%%share/vala/vapi/ibus-1.0.vapi
-@dirrm %%DATADIR%%/ui/gtk
-@dirrm %%DATADIR%%/ui
+share/bash-completion/completions/ibus.bash
+%%DCONF%%share/GConf/gsettings/ibus.convert
 @dirrm %%DATADIR%%/setup
 @dirrmtry %%DATADIR%%/keymaps
-@dirrmtry %%DATADIR%%/icons
 @dirrmtry %%DATADIR%%/engine
-@dirrmtry %%DATADIR%%/component
+%%COMPDIR%%@dirrmtry %%DATADIR%%/component
 @dirrmtry %%DATADIR%%
 @dirrm share/gtk-doc/html/ibus
 @dirrmtry share/gtk-doc/html
 @dirrmtry share/gtk-doc
-@dirrmtry share/gir-1.0
-@dirrm %%PYTHON_SITELIBDIR%%/ibus/interface
-@dirrm %%PYTHON_SITELIBDIR%%/ibus
+%%GINTRO%%@dirrmtry share/gir-1.0
+%%PYTHON_LIB%%@dirrm %%PYTHON_SITELIBDIR%%/ibus/interface
+%%PYTHON_LIB%%@dirrm %%PYTHON_SITELIBDIR%%/ibus
 @dirrm include/ibus-1.0
 @dirrmtry etc/xdg/autostart
 @dirrmtry etc/xdg
+%%DCONF%%@dirrmtry etc/dconf/db/ibus.d
 %%GTK3%%@exec %%LOCALBASE%%/bin/gtk-query-immodules-3.0 --update-cache
-@exec %%LOCALBASE%%/bin/gtk-query-immodules-2.0 --update-cache
+%%GTK2%%@exec %%LOCALBASE%%/bin/gtk-query-immodules-2.0 --update-cache
 %%GTK3%%@unexec %%LOCALBASE%%/bin/gtk-query-immodules-3.0 --update-cache
-@unexec %%LOCALBASE%%/bin/gtk-query-immodules-2.0 --update-cache
+%%GTK2%%@unexec %%LOCALBASE%%/bin/gtk-query-immodules-2.0 --update-cache
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2014-03-11 07:36:38 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!